﻿<div class="container fluid">
    <div class="row" style="background-color:lightcoral; border: brown;">
        <div class="col-sm-2" ></div>
        <div class="col-sm-2"> <br>
            <img src=" profile2.png" class="smallLogo" style="width:200px;height:200px; "/>
        </div>
        <div class="col-sm-1"></div>
        <div class="col-sm-7">
            <br>
            <h3 style="color: black"><label>{{vm.user.name}}<label></label></h3>
            <h4 style="color:hsl(0, 100%, 25%);"><label>{{vm.user.staffid}}</label></h4>
            <h5 style="color:hsl(0, 100%, 25%);"><label>{{vm.user.fac}}</label></h5>
            <h5 style="color:hsl(0, 100%, 25%);"><label>{{vm.user.position}}</label></h5>
            <br>
            <h5><label>Email : {{vm.user.username}}@graduate.utm.my</label></h5>
            <h5><label>Phone : {{vm.user.phone}}</label></h5>
        </div>
    </div>
</div>


  
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name ="viewport" content="width-device-width, initial -scale=1">
    
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" />
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.js" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/jquery.min.js"></script>
    <link href="app-content/app.css" rel="stylesheet" />
</head>
<body class="container">
    <!-- header -->
    <header><br>
        <ul class="nav nav-tabs">
            <li ng-class="{active: activeTab === 'home'}"><a ui-sref="home">Home</a></li>
            <li ng-class="{active: activeTab === 'account'}"><a ui-sref="account">Profile</a></li>
            <li><a href="/login" target="_self">Logout</a></li>
        </ul>
        <div class="flash-message" ng-if="flash">
            <div class="{{'alert alert-' + flash.type}}" ng-bind="flash.message"></div>
        </div>
    </header>

    <!-- main -->
    <main ui-view></main>



<div class="form-container fluid">
    <br>
    <div class="row">
        <form method="post">
            <div class="row">
                <div class="col-sm-6"><br>
                    <h4><label><mark>MAKLUMAT ASAS</mark></label></h4><br>
                    <div class="form-group">
                        <label for="staffid">No Pekerja</label>
                        <input type="text" name="staffid" id="staffid" class="form-control" ng-model="vm.user.staffid" disabled/>
                    </div>
                    <div class="form-group">
                        <label for="name">Nama</label>
                        <input type="text" name="name" id="name" class="form-control" ng-model="vm.user.name" disabled/>
                    </div>
                    <div class="form-group">
                        <label for="ic">Kad Pengenalan</label>
                        <input type="text" name="ic" id="ic" class="form-control" ng-model="vm.user.ic" disabled />
                    </div>
                    <div class="form-group">
                        <label for="address">Alamat Rumah </label>
                        <input type="text" name="address" id="address" class="form-control" ng-model="vm.user.address" disabled />
                    </div>
                    <div class="form-group">
                        <label for="gender">Jantina </label>
                        <input type="text" name="gender" id="gender" class="form-control" ng-model="vm.user.gender"  disabled/>
                    </div>
                    <div class="form-group">
                        <label for="nation">Warganegara </label>
                        <input type="text" name="nation" id="nation" class="form-control" ng-model="vm.user.nation" disabled />                        
                    </div>
                    <div class="form-group">
                        <label for="race">Bangsa </label>
                        <input type="text" name="race" id="race" class="form-control" ng-model="vm.user.race" disabled />
                    </div>
                    <div class="form-group">
                        <label for="religion">Agama </label>
                        <input type="text" name="religion" id="religion" class="form-control" ng-model="vm.user.religion" disabled />
                    </div>
                    <div class="form-group">
                        <label for="marriage">Status Perkahwinan </label>
                        <input type="text" name="marriage" id="marriage" class="form-control" ng-model="vm.user.marriage" disabled />
                    </div>
                    <div class="form-group">
                        <label for="phone">Telefon</label>
                        <input type="tel" name="phone" id="phone" class="form-control" ng-model="vm.user.phone" />
                    </div>
                    <div class="form-group">
                        <label for="disability">Kecacatan</label>
                        <input type="text" name="disability" id="disability" class="form-control" ng-model="vm.user.disability" disabled />
                    </div>
                    <div class="form-group">
                        <label for="status">Status Staff</label>
                        <input type="text" name="status" id="status" class="form-control" ng-model="vm.user.status" disabled />
                    </div>
                    <div class="form-group">
                        <label for="tahun">Tahun Kemasukkan</label>
                        <input type="text" name="tahun" id="tahun" class="form-control" ng-model="vm.user.tahun" disabled />
                    </div><br>
    
                    <h4><label><mark>MAKLUMAT UTM ACID</mark></label></h4><br>
                    <div class="form-group">
                        <label for="username">ACID UTM</label>
                        <input type="text" name="username" id="username" class="form-control" ng-model="vm.user.username" disabled/>
                    </div>
                    <div class="form-group">
                        <label for="password">Kata Laluan</label>
                        <input type="password" name="password" id="password" class="form-control" ng-model="vm.user.password"  />
                    </div>
                    <div class="form-group">
                        <label for="email">E-mail (Rasmi)</label>
                        <input type="email" name="email" id="email" class="form-control" ng-model="vm.user.email" disabled />
                    </div>
                    <div class="form-group">
                        <label for="email2">E-mail (Tidak Rasmi)</label>
                        <input type="email" name="email2" id="email2" class="form-control" ng-model="vm.user.email2"  />
                    </div>
                </div><br>
    
                <div class="col-sm-6">
                    <h4><label><mark>MAKLUMAT FAKULTI/JABATAN</label></mark></h4><br>
                    <div class="form-group">
                        <label for="fac">Fakulti/Jabatan</label>
                        <input type="text" name="fac" id="fac" class="form-control" ng-model="vm.user.fac" disabled />
                    </div>
                    <div class="form-group">
                        <label for="bahagian">Bahagian</label>
                        <input type="text" name="bahagian" id="bahagian" class="form-control" ng-model="vm.user.bahagian" disabled />
                    </div>
                    <div class="form-group">
                        <label for="taraf">Taraf Jawatan</label>
                        <input type="text" name="taraf" id="taraf" class="form-control" ng-model="vm.user.taraf" disabled />
                    </div>
                    <div class="form-group">
                        <label for="position">Jawatan</label>
                        <input type="text" name="position" id="position" class="form-control" ng-model="vm.user.position" disabled />
                    </div>
                    <div class="form-group">
                        <label for="jgiliran">Jawatan Giliran</label>
                        <input type="text" name="jgiliran" id="jgiliran" class="form-control" ng-model="vm.user.jgiliran" disabled />
                    </div>
                    <div class="form-group">
                        <label for="kod">Kod Jawatan</label>
                        <input type="text" name="kod" id="kod" class="form-control" ng-model="vm.user.kod" disabled />
                    </div>
                    <div class="form-group">
                        <label for="cat">Kategori Lantikan</label>
                        <input type="text" name="cat" id="cat" class="form-control" ng-model="vm.user.cat" disabled />
                    </div>
                    <div class="form-group">
                        <label for="unit">Unit</label>
                        <input type="text" name="unit" id="unit" class="form-control" ng-model="vm.user.unit" disabled />
                    </div>
                    <div class="form-group">
                        <label for="ptjra">Kod PTJ RA</label>
                        <input type="text" name="ptjra" id="ptjra" class="form-control" ng-model="vm.user.ptjra" disabled />
                    </div>
                    <div class="form-group">
                        <label for="ptjcoe">Kod PTJ COE</label>
                        <input type="text" name="ptjcoe" id="ptjcoe" class="form-control" ng-model="vm.user.ptjcoe" disabled />
                    </div>
                    <div class="form-group">
                        <label for="rg">Nama RG</label>
                        <input type="text" name="rg" id="rg"class="form-control" ng-model="vm.user.rg" disabled />
                    </div>
                    <div class="form-group">
                        <label for="kodclass">Kod Klasifikasi</label>
                        <input type="text" name="kodclass" id="kodclass"class="form-control" ng-model="vm.user.kodclass" disabled />
                    </div>
                    <div class="form-group">
                        <label for="tarikh">Tarikh Tamat Klasifikasi</label>
                        <input type="text" name="tarikh" id="tarikh"class="form-control" ng-model="vm.user.tarikh" disabled />
                    </div><br>
    
                    <h4><label><mark>MAKLUMAT PENGENALAN</mark></label></h4><br>
                    <div class="form-group">
                        <label for="ic">No Kad Pengenalan Baru</label>
                        <input type="text" name="ic" id="ic" class="form-control" ng-model="vm.user.ic" disabled />
                    </div>
                    <div class="form-group">
                        <label for="iclama">No Kad Pengenalan Lama</label>
                        <input type="text" name="iclama" id="iclama" class="form-control" ng-model="vm.user.iclama" disabled />
                    </div>
                    <div class="form-group">
                        <label for="passport">No Passport</label>
                        <input type="text" name="passport" id="passport" class="form-control" ng-model="vm.user.passport" disabled />
                    </div>
                </div>
            </div>   

            <div class="form-group">
                <button class="btn btn-primary" ng-click="vm.saveUser()">Save</button>
            </div>
        </form>
    </div>
</div>
    <!-- footer -->
    <footer></footer>

    <!-- external scripts -->
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/angularjs/1.4.7/angular.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/angular-ui-router/0.2.15/angular-ui-router.min.js"></script>

    <!-- application scripts -->
    <script src="app.js"></script>
    <script src="app-services/user.service.js"></script>
    <script src="app-services/flash.service.js"></script>
    <script src="home/index.controller.js"></script>
    <script src="account/index.controller.js"></script>
</body>
</html>


